/**
 * Make the given pill entry active, all other entries in the pill
 * inactive
 */
function pillSelect(pillEntry) {
    pillEntry.classList.add("active");
    let currentEntry = pillEntry.nextElementSibling;
    while(currentEntry != null) {
        currentEntry.classList.remove("active");
        currentEntry = currentEntry.nextElementSibling;
    }
    currentEntry = pillEntry.previousElementSibling;
    while(currentEntry != null) {
        currentEntry.classList.remove("active");
        currentEntry = currentEntry.previousElementSibling;
    }
}

window.addEventListener("load", function() {
    // Set an event handler for each <li> element within
    // a pill. The event handler function will remove the "active"
    // class from all siblings of this element and add it to the
    // element
    _$(".pill li").on("click", function(){
        // "this" refers to the HTML element that triggered the on click
        // event (i.e. the "li" element the user clicked on)
        pillSelect(this);
    });

    // Initialize ("click" the first child of every pill)
    _$(".pill li:first-child").click();
});
